/* ------------------- */
/* Custom properties   */
/* ------------------- */

:root {
  /* colors */
  --clr-primary-200: 192, 70%, 51%;
  --clr-primary-300: 136, 65%, 51%;
  --clr-primary-400: 233, 26%, 24%;

  --clr-neutral-100: 0, 0%, 100%;
  --clr-neutral-200: 0, 0%, 98%;
  --clr-neutral-300: 220, 16%, 96%;
  --clr-neutral-400: 233, 8%, 62%;
  --clr-neutral-500: 233, 26%, 24%;
  /* font-sizes */
  --fs-100: 0.625rem;
  --fs-200: 0.8125rem;
  --fs-300: 0.875rem;
  --fs-350: 0.9375rem;
  --fs-400: 1.0625rem;
  --fs-500: 0.875rem;
  --fs-600: 1.25rem;
  --fs-700: 1.875rem;
  --fs-800: 1.875rem;
  --fs-900: 2.31rem;

  /* font-families */
  --ff-primary: "Public Sans", sans-serif;

  /* font-weights */
  --fw-300: 300;
  --fw-400: 400;
  --fw-700: 700;
}
@media (min-width: 35em) {
}

@media (min-width: 75em) {
  :root {
    /* font-sizes */
    --fs-500: 1.125rem;
    --fs-600: 1.5rem;
    --fs-700: 2.25rem;
    --fs-800: 2.5rem;
    --fs-900: 3.25rem;
  }
}

/* ------------------- */
/* Reset               */
/* ------------------- */

/* https://piccalil.li/blog/a-modern-css-reset/ */

/* Box sizing */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Reset margins */
body,
h1,
h2,
h3,
h4,
h5,
p,
figure,
picture {
  margin: 0;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
  font-weight: 300;
}
p {
  line-height: 1.5;
}
h1,
h2,
h3 {
  line-height: 1.15;
}

/* To hide scroll on mobile  */
/* on body don't hide scroll */
html {
  overflow-x: hidden;
}
/* set up the body */
body {
  font-family: var(--ff-primary);
  font-size: var(--fs-500);
  color: hsl(var(--clr-white));
  line-height: 1.2;
  min-height: 100vh;
  display: grid;
  overflow-x: hidden;
}
body.noscroll {
  overflow: hidden;
  height: 100vh;
}
/* make images easier to work with */
img,
picutre {
  max-width: 100%;
  display: block;
}

/* make form elements easier to work with */
input,
button,
textarea,
select {
  font: inherit;
}

/* remove animations for people who've turned them off */
@media (prefers-reduced-motion: reduce) {
  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

/* ------------------- */
/* Utility classes     */
/* ------------------- */

/* general */

.flex {
  display: flex;
  gap: var(--gap, 1rem);
}

.grid {
  display: grid;
  gap: var(--gap, 1rem);
}

.d-block {
  display: block;
}

.flow > *:where(:not(:first-child)) {
  margin-top: var(--flow-space, 1rem);
}
.flow--space-sm {
  --flow-space: 0.5rem;
}
.flow--space-md {
  --flow-space: 1.5rem;
}
.flow--space-bg {
  --flow-space: 2rem;
}
.container {
  padding-inline: 2em;
  margin-inline: auto;
  max-width: 80rem;
}

/* colors */
.bg-primary-400 {
  background-color: hsl(var(--clr-primary-400));
}
.bg-neutral-100 {
  background-color: hsl(var(--clr-neutral-100));
}
.bg-neutral-200 {
  background-color: hsl(var(--clr-neutral-200));
}
.bg-neutral-300 {
  background-color: hsl(var(--clr-neutral-300));
}
.bg-neutral-400 {
  background-color: hsl(var(--clr-neutral-400));
}

.text-primary-400 {
  color: hsl(var(--clr-primary-400));
}

.text-neutral-100 {
  color: hsl(var(--clr-neutral-100));
}
.text-neutral-200 {
  color: hsl(var(--clr-neutral-200));
}
.text-neutral-300 {
  color: hsl(var(--clr-neutral-300));
}
.text-neutral-400 {
  color: hsl(var(--clr-neutral-400));
}

/* typography */

.fs-900 {
  font-size: var(--fs-900);
}
.fs-800 {
  font-size: var(--fs-800);
}
.fs-700 {
  font-size: var(--fs-700);
}
.fs-600 {
  font-size: var(--fs-600);
}
.fs-500 {
  font-size: var(--fs-500);
}
.fs-350 {
  font-size: var(--fs-350);
}
.fs-400 {
  font-size: var(--fs-400);
}
.fs-300 {
  font-size: var(--fs-300);
}
.fs-200 {
  font-size: var(--fs-200);
}

.fs-100 {
  font-size: var(--fs-100);
}
.padding-1 {
  padding-inline: var(--padding-space, 2rem);
}

/* ------------------- */
/* Compontents         */
/* ------------------- */

.button {
  cursor: pointer;
  font-size: var(--fs-300);
  font-weight: var(--fw-700);
  display: inline-grid;
  place-items: center;
  color: hsl(var(--clr-neutral-100));
  padding: 0.8em 2.5em;
  border-radius: 2rem;
  text-decoration: none;
  background-image: linear-gradient(
    to right,
    hsl(var(--clr-primary-300)),
    hsl(var(--clr-primary-200))
  );
}
.button:hover,
.button:focus {
  opacity: 0.7;
}

/* primary-header */

/* .logo {
  margin: 1.5rem clamp(1.5rem, 5vw, 3.5rem);
} */

.header {
  padding-block: 1rem;
  justify-content: space-between;
  align-items: center;
  z-index: 1;
}

.navigation-button {
  display: none;
}

.navigation a {
  text-decoration: none;
  cursor: pointer;
  color: hsl(var(--clr-neutral-500));
}
.navigation {
  list-style: none;
  padding: 0;
  margin: 0;
  padding: 2rem 0;
}
.navigation {
  --gap: 1.5rem;
  position: fixed;
  z-index: 1000;
  width: 85%;
  top: 15%;
  left: 0;
  right: 0;
  background-color: hsl(var(--clr-neutral-100));
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  margin: auto;
  transform: translateX(120%);
  transition: transform 500ms ease-in-out;
  border-radius: 0.5rem;
}

.navigation[data-visible="true"] {
  transform: translateX(0);
}

.mobile-nav-toggle {
  display: block;
  position: relative;
  z-index: 2000;
  cursor: pointer;
  background: transparent;
  background-image: url(images/icon-hamburger.svg);
  background-repeat: no-repeat;
  background-position: center;
  width: 1.5rem;
  aspect-ratio: 1;
  border: 0;
}

.mobile-nav-toggle[aria-expanded="true"] {
  background-image: url(images/icon-close.svg);
}
.overlay {
  display: none;
  opacity: 1;
  position: fixed;
  top: 0px;
  right: 0px;
  bottom: 0px;
  left: 0px;
  background-image: linear-gradient(#2d314d, transparent);
}
.underline-indicators li {
  position: relative;
}
.underline-indicators a::before {
  content: "";
  display: block;
  position: absolute;
  height: 0.3em;
  left: 0;
  right: 0;
  bottom: -20px;
  background: linear-gradient(
    to right,
    hsl(var(--clr-primary-300)),
    hsl(var(--clr-primary-200))
  );
  opacity: 0;
  transition: opacity 300ms ease-in-out;
}

.underline-indicators a:hover::before,
.underline-indicators a:focus::before {
  opacity: 1;
}
@media (min-width: 43.5em) {
  .mobile-nav-toggle {
    display: none;
  }

  .navigation-button {
    display: block;
  }
  .navigation {
    --gap: 1rem;
    position: static;
    width: 100%;
    transform: translateX(0);
    display: flex;
    flex-direction: row;
    padding: 0;
  }
  .navigation a {
    color: hsl(var(--clr-neutral-400));
  }
}

@media (min-width: 75em) {
  .padding-1 {
    --padding-space: 8rem;
  }
}

.hero {
  padding-bottom: 5rem;
}

.bg-hero {
  position: relative;
  background-image: url("/images/bg-intro-mobile.svg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  min-height: 17.5rem;
}

.bg-hero::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: url("/images/image-mockups.png");
  background-size: 85%;
  background-repeat: no-repeat;
  background-position: center bottom;
}
@media (min-width: 35em) {
  .bg-hero::after {
    background-size: 60%;
  }
}

@media (min-width: 75em) {
  .grid--hero {
    grid-template-columns: repeat(2, 1fr);
  }
  .grid--intro {
    padding-right: 0;
    order: 1;
  }
  .bg-hero {
    order: 2;
    height: 41rem;
    background: url("/images/bg-intro-desktop.svg") no-repeat;
    background-size: 150% 145%;
    background-position-y: 76%;
  }
  .bg-hero::after {
    width: 120%;
    height: 122%;
    background-size: 100%;
  }
}
.grid--intro {
  --gap: 1.5rem;
  text-align: center;
  justify-items: center;
}
@media (min-width: 75em) {
  .grid--intro {
    align-content: center;
    text-align: left;
    justify-items: start;
  }
}
.info {
  text-align: center;
  padding-top: 4rem;
}
.grid--cards {
  --gap: 3rem;
  padding-block: 3rem;
}
.grid--card {
  --gap: 1rem;
  justify-items: center;
}
@media (min-width: 35em) {
  .grid--cards {
    grid-template-columns: repeat(auto-fit, minmax(12.5rem, 1fr));
  }
}

@media (min-width: 75em) {
  .info {
    text-align: left;
  }
  .grid--card {
    justify-items: start;
  }
}
.articles {
  padding-block: 5rem;
}
.articles > h2 {
  text-align: center;
}
.article {
  cursor: pointer;
  background-color: hsl(var(--clr-neutral-100));
  overflow: hidden;
  border-radius: 0.3125rem;
  box-shadow: 0px 3px 12px rgb(0 0 0 / 15%);
  transition: all 150ms ease-in-out;
  padding-bottom: 2rem;
}
.article:hover {
  transform: scale(1.05);
}
.article h3:hover {
  color: hsl(var(--clr-primary-300));
}
.article img {
  height: 12.5rem;
  width: 100%;
}
.article > *:not(:first-child) {
  padding-inline: 1.5rem;
}
.grid--articles {
  grid-auto-rows: auto;

  --gap: 2rem;
}
.grid--article {
  --gap: 0.7rem;
}
@media (min-width: 35em) {
  .grid--articles {
    grid-template-columns: repeat(auto-fit, minmax(12.5rem, 1fr));
  }
}
@media (min-width: 75em) {
  .articles > h2 {
    text-align: left;
  }
}
.grid--footer {
  justify-items: center;
}
.footer {
  padding-block: 2rem;
  text-align: center;
}

.footer ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer a {
  text-decoration: none;
}
.footer img {
  margin: auto;
}
.social-icons a {
  font-size: var(--fs-400);
  color: hsl(var(--clr-neutral-100));
}
.social-icons a:hover,
.social-icons a:focus {
  color: hsl(var(--clr-primary-300));
}
.footer ul a:hover,
.footer ul a:focus {
  cursor: pointer;
  color: hsl(var(--clr-primary-300));
}

@media (min-width: 43.5em) {
  .footer {
    text-align: left;
  }
  .footer img {
    margin: 0;
  }
  .grid--footer {
    grid-template-columns: repeat(3, 1fr) 2fr;
    place-items: center;
  }
  .grid--footer > :first-child {
    justify-self: start;
  }
  .grid--footer > :last-child {
    text-align: end;
    justify-self: end;
  }
}
